Name:		youtube-dl
Version:	2017.09.02
Release:	%mkrel 1
Summary:	Small command-line program to download videos from YouTube
License:	Public Domain
Group:		Video/Players
URL:		http://rg3.github.io/youtube-dl
Source0:	https://yt-dl.org/downloads/%{version}/%{name}-%{version}.tar.gz
Source1:	https://yt-dl.org/downloads/%{version}/%{name}-%{version}.tar.gz.sig
BuildArch:	noarch
BuildRequires:	zip
Requires:	python3

%description
Small command-line program to download videos from YouTube.

%prep
%setup -q -n %{name}
rm youtube-dl

%build

%install
%makeinstall_std DESTDIR="%{buildroot}" PREFIX="%{_prefix}" MANDIR="%{_mandir}"

# force the youtube-dl binary to use python 3 environment by default
sed -i -e 's,#!/usr/bin/env python,#!/usr/bin/env python3,' %{buildroot}%{_bindir}/%{name}

%files
%doc README.txt
%attr(0755,root,root) %{_bindir}/%{name}
%{_sysconfdir}/bash_completion.d/youtube-dl
%{_sysconfdir}/fish/completions/youtube-dl.fish
%{_datadir}/zsh/site-functions/_youtube-dl
%{_mandir}/man1/%{name}.1.*


%changelog
* Mon Sep 04 2017 daviddavid <daviddavid> 2017.09.02-1.mga5
+ Revision: 1151180
- new version: 2017.09.02 (mga#21661)
- new version: 2017.05.29
- new version: 2017.02.01
- new version: 2016.10.19
- new version: 2016.07.17
- new version: 2016.03.25
- new version: 2015.11.15
- switch youtube-dl to python 3 (fix for mga#15762)
  * force the youtube-dl binary to use python 3 environment by default
- add youtube-dl-x.x.x.tar.gz.sig file source

* Wed Mar 04 2015 daviddavid <daviddavid> 2015.03.03-1.mga5
+ Revision: 817634
- new version: 2015.03.03
- add a README doc file

* Tue Jan 27 2015 daviddavid <daviddavid> 2015.01.25-1.mga5
+ Revision: 812482
- new version: 2015.01.25

* Thu Nov 20 2014 cjw <cjw> 2014.11.16-1.mga5
+ Revision: 797937
- version 2014.11.16

* Wed Oct 15 2014 umeabot <umeabot> 2014.08.29-3.mga5
+ Revision: 746155
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2014.08.29-2.mga5
+ Revision: 690841
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 tv <tv> 2014.08.29-1.mga5
+ Revision: 672661
- new release

* Sat Aug 23 2014 dams <dams> 2014.08.22.3-1.mga5
+ Revision: 666663
- new version 2014.08.22.3

* Fri Aug 15 2014 dams <dams> 2014.08.10-1.mga5
+ Revision: 662638
- new version 2014.08.10

* Wed Jul 23 2014 dams <dams> 2014.07.22-1.mga5
+ Revision: 655724
- new version 2014.07.22

* Wed Jul 02 2014 dams <dams> 2014.06.26-1.mga5
+ Revision: 642053
- new version 2014.06.26

* Sat May 17 2014 dams <dams> 2014.05.16.1-1.mga5
+ Revision: 623324
- new version 2014.05.16.1

* Fri May 02 2014 dams <dams> 2014.04.30.1-1.mga5
+ Revision: 619713
- new version 2014.04.30.1

* Mon Apr 28 2014 dams <dams> 2014.04.21.6-1.mga5
+ Revision: 618646
- new version 2014.04.21.6

* Mon Mar 31 2014 dams <dams> 2014.03.30.1-1.mga5
+ Revision: 610959
- new version 2014.03.30.1

* Tue Mar 25 2014 dams <dams> 2014.03.25-1.mga5
+ Revision: 608501
- new version 2014.03.25

* Tue Mar 18 2014 dams <dams> 2014.03.17-1.mga5
+ Revision: 604906
- new version 2014.03.17

* Mon Mar 10 2014 dams <dams> 2014.03.10-1.mga5
+ Revision: 601740
- new version 2014.03.10

* Thu Feb 27 2014 dams <dams> 2014.02.25-1.mga5
+ Revision: 597605
- new version 2014.02.25

* Mon Feb 24 2014 dams <dams> 2014.02.19.1-1.mga5
+ Revision: 596516
- new version 2014.02.19.1

* Sat Feb 15 2014 dams <dams> 2014.02.13-1.mga5
+ Revision: 592041
- new version 2014.02.13

* Tue Oct 22 2013 umeabot <umeabot> 2013.10.09-2.mga4
+ Revision: 542316
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 2013.10.09-1.mga4
+ Revision: 497375
- New version: 2013.10.09

* Sat Sep 28 2013 sander85 <sander85> 2013.09.24.2-1.mga4
+ Revision: 488317
- New version: 2013.09.24.2

* Sun Sep 08 2013 sander85 <sander85> 2013.09.07-1.mga4
+ Revision: 476021
- New version: 2013.09.07

* Fri Aug 30 2013 sander85 <sander85> 2013.08.29-1.mga4
+ Revision: 473291
- New version: 2013.08.29

* Wed Aug 28 2013 sander85 <sander85> 2013.08.28.1-1.mga4
+ Revision: 472678
- New version: 2013.08.28.1

* Mon Aug 19 2013 sander85 <sander85> 2013.08.17-1.mga4
+ Revision: 467816
- New version: 2013.08.17

* Fri Aug 16 2013 sander85 <sander85> 2013.08.15-1.mga4
+ Revision: 466864
- New version: 2013.08.15

* Mon Aug 12 2013 sander85 <sander85> 2013.08.09-1.mga4
+ Revision: 465706
- New version: 2013.08.09

* Thu Aug 08 2013 sander85 <sander85> 2013.08.08-1.mga4
+ Revision: 464562
- New version: 2013.08.08

* Thu Aug 01 2013 sander85 <sander85> 2013.07.31-1.mga4
+ Revision: 462109
- New version: 2013.07.31

* Wed Jul 24 2013 sander85 <sander85> 2013.07.23.1-1.mga4
+ Revision: 457866
- New version: 2013.07.23.1

* Sun Jul 21 2013 sander85 <sander85> 2013.07.19-1.mga4
+ Revision: 456904
- New version: 2013.07.19

* Mon Jul 15 2013 sander85 <sander85> 2013.07.10-1.mga4
+ Revision: 454622
- New version: 2013.07.10
- Rediff patch0

* Fri May 24 2013 kamil <kamil> 2013.04.18-1.mga4
+ Revision: 426300
- Build require unzip
- new version 2013.04.18
- install with Makefile
- add P0: mga-dont-ship-with-documentation-generated-with-pandoc.patch
- remove S1 - not upstream version of the man page
- update license to Public Domain - no more tainted GPL with the man page

* Mon Jan 14 2013 umeabot <umeabot> 2012.12.11-2.mga3
+ Revision: 387601
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 kamil <kamil> 2012.12.11-1.mga3
+ Revision: 331806
- rename P0 to mga-disable-broken-installation-of-extras.patch
- add P0 mga-disable-broken-installation-of-bash-completion.patch
- global reorganize .spec, build from tag from github - don't use new binary blobs from th project website
- new version 2012.12.11 and update Source0

* Tue Nov 27 2012 kamil <kamil> 2012.11.17-1.mga3
+ Revision: 322264
- update sources
- clean .spec, drop external copy-n-paste webpages. new version 2012.11.17

* Tue Oct 16 2012 tv <tv> 2012.10.09-1.mga3
+ Revision: 307347
- fix group
- new release

* Wed Mar 07 2012 kamil <kamil> 2012.02.27-1.mga2
+ Revision: 221335
- new version 2012.02.27

* Tue Jan 10 2012 kamil <kamil> 2012.01.08b-1.mga2
+ Revision: 194509
- new version

* Sat Jan 07 2012 kamil <kamil> 2012.01.05-1.mga2
+ Revision: 192811
- new version

* Wed Jan 04 2012 kamil <kamil> 2011.12.18-1.mga2
+ Revision: 190784
- new version

* Tue Dec 13 2011 kamil <kamil> 2011.12.08-1.mga2
+ Revision: 181079
- new version
- replace %%{SOURCEXYZ} with %%{_sourcedir}/file-name
- drop cleaning in %%install

* Tue Nov 29 2011 kamil <kamil> 2011.11.23-1.mga2
+ Revision: 174034
- new version

* Wed Nov 02 2011 obgr_seneca <obgr_seneca> 2011.10.19-1.mga2
+ Revision: 161811
- change Reuires to unversioned python, since there is no
  python smaller 2.7 in Mageia

  + kamil <kamil>
    - new version
    - added man page from Debian package under GPLv2
    - added docs from the project website
    - imported package youtube-dl


* Thu Aug 04 2011 Till Maas <opensource@till.name> - 2011.08.04-1
- Update to latest release to adjust to backend changes (Red Hat Bug
  #728378)

* Fri May 13 2011 Till Maas <opensource@till.name> - 2011.03.29-1
- Update to latest release

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2011.01.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Till Maas <opensource@till.name> - 2010.01.30-1
- Update to latest release

* Sun Dec 12 2010 Till Maas <opensource@till.name> - 2010.12.09-1
- Update to latest release to adjust with youtube changes

* Sat Nov 06 2010 Till Maas <opensource@till.name> - 2010.10.24-1
- Update to latest release
- Adjust to new upstream location at github instead of bitbucket
- add -p to install
- remove index.html

* Thu Oct 07 2010 Till Maas <opensource@till.name> - 2010.10.03-1
- Update to latest release

* Thu Aug 05 2010 Till Maas <opensource@till.name> - 2010.08.04-1
- Update to latest release

* Fri Jul 23 2010 Till Maas <opensource@till.name> - 2010.07.22-1
- Update to latest release

* Thu Jul 15 2010 Till Maas <opensource@till.name> - 2010.07.14-1
- Update to latest release

* Mon Jun 07 2010 Till Maas <opensource@till.name> - 2010.06.06-1
- Update to latest release

* Thu Apr 29 2010 Till Maas <opensource@till.name> - 2010.04.04-1
- Update to latest release to fix some download issues RH #582372

* Fri Oct 09 2009 Rafał Psota <rafalzaq@gmail.com> - 2009.09.13-2
- Small fix in %%prep

* Sun Sep 27 2009 Rafał Psota <rafalzaq@gmail.com> - 2009.09.13-1
- Update to 2009.09.13
- License change to Public Domain

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2008.01.24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2008.01.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 26 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 2008.01.24-1
- Update to v2008.01.24
- Add polish summary and description.

* Wed Jan 02 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 2007.10.12-5
- Correct install.
- Correct documentation.

* Sat Dec 29 2007 Krzysztof Kurzawski <kurzawax at gmail.com> 2007.10.12-4
- Correct requires.
- Add documentation.

* Sun Dec 23 2007 Krzysztof Kurzawski <kurzawax at gmail.com> 2007.10.12-3
- Correct version tag.

* Fri Dec 14 2007 Krzysztof Kurzawski <kurzawax at gmail.com> 1-2
- Update to v2007.10.12, correct license and update summary.

* Sun Dec 9 2007 Krzysztof Kurzawski <kurzawax at gmail.com> 1-1
- First release
